Contenu | Rechercher | Menus

Annonce

La nouvelle clé USB Ubuntu-fr est en prévente
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 27/08/2018, à 15:13

arnaud09300

[Résolu] Systeme de paquets cassé 18.04

Bonjour,
Après une simple mise a jour de routine sur ma 18.04 mise a niveau depuis 1 semaine, mon système de paquet est cassé:

 sudo apt-get upgrade 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 libnvidia-ifr1-390 : Dépend: libnvidia-gl-390 mais il n'est pas installé
 libnvidia-ifr1-390:i386 : Dépend: libnvidia-gl-390:i386 mais il n'est pas installé
 nvidia-driver-390 : Dépend: libnvidia-gl-390 (= 390.48-0ubuntu3) mais il n'est pas installé
                     Recommande: libnvidia-gl-390:i386 (= 390.48-0ubuntu3)
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).

J'ai essayé sudo apt-get install -f  sudo apt --fix-broken install  sudo apt-get autoremove   sudo apt-get clean  sudo apt-get autoclean sans aucun succès.

sudo apt --fix-broken install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  bbswitch-dkms docbook-xsl exe-thumbnailer fonts-unfonts-core
  gnome-exe-thumbnailer kactivities-bin kde-l10n-engb
  kdemultimedia-kio-plugins lib32gcc1 libarmadillo6 libaudiofile1 libav-tools
  libavutil-ffmpeg54 libbfio1 libblas-common libc6-i386 libgeos-3.5.0
  libgfortran3 libgsf-1-common libgsoap8 libgtkglext1 libhybris-common1
  libice6:i386 libicu55:i386 libkf5activities5 libkf5declarative-data
  liblensfun-data liblensfun0 libllvm5.0 liblnk1 libopenjpeg5 libpango-perl
  libpostproc-ffmpeg53 libqca2 libqgsttools-p1 libqt4-designer libqt4-test
  libqtassistantclient4 libsodium18 libsolid4 libsox-fmt-alsa libsox-fmt-base
  libsox3 libsrtp0 libssl1.0.0:i386 libsuperlu4 libswresample-ffmpeg1
  libswscale-ffmpeg3 libthreadweaver4 libva-drm1 libva1 libwxgtk3.0-0v5
  libx264-148 libxcb-composite0 libxml2-utils oxygen-icon-theme
  phonon-backend-gstreamer-common python-gobject-2 python3-ply
  qml-module-org-kde-activities qml-module-qtqml-models2
  qml-module-qtquick-controls qml-module-qtquick-privatewidgets sgml-data
  unixodbc wine-gecko2.21 wine1.6-i386:i386 xserver-xorg-input-evdev-hwe-16.04
  xserver-xorg-input-synaptics-hwe-16.04 xserver-xorg-legacy-hwe-16.04
  xserver-xorg-video-amdgpu-hwe-16.04
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  libnvidia-gl-390 libnvidia-gl-390:i386
Les NOUVEAUX paquets suivants seront installés :
  libnvidia-gl-390 libnvidia-gl-390:i386
0 mis à jour, 2 nouvellement installés, 0 à enlever et 0 non mis à jour.
3 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/29,1 Mo dans les archives.
Après cette opération, 147 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] O
(Lecture de la base de données... 336855 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libnvidia-gl-390_390.48-0ubuntu3_i386.deb ...
détournement de /usr/lib/i386-linux-gnu/libGL.so.1 en /usr/lib/i386-linux-gnu/libGL.so.1.distrib par nvidia-340
dpkg-divert: erreur: erreur de correspondance sur paquet
  lors de la suppression de « détournement de /usr/lib/i386-linux-gnu/libGL.so.1 par libnvidia-gl-390 »
  « détournement de /usr/lib/i386-linux-gnu/libGL.so.1 en /usr/lib/i386-linux-gnu/libGL.so.1.distrib par nvidia-340 » trouvé
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libnvidia-gl-390_390.48-0ubuntu3_i386.deb (--unpack) :
 new libnvidia-gl-390:i386 package pre-installation script subprocess returned error exit status 2
Préparation du dépaquetage de .../libnvidia-gl-390_390.48-0ubuntu3_amd64.deb ...
détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 en /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib par nvidia-340
dpkg-divert: erreur: erreur de correspondance sur paquet
  lors de la suppression de « détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 par libnvidia-gl-390 »
  « détournement de /usr/lib/x86_64-linux-gnu/libGL.so.1 en /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib par nvidia-340 » trouvé
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libnvidia-gl-390_390.48-0ubuntu3_amd64.deb (--unpack) :
 new libnvidia-gl-390:amd64 package pre-installation script subprocess returned error exit status 2
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/libnvidia-gl-390_390.48-0ubuntu3_i386.deb
 /var/cache/apt/archives/libnvidia-gl-390_390.48-0ubuntu3_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

J'ai beau rechercher sur internet une solution, je ne trouve pas.
Quelqu'un aurait t'il une idée de comment réparer ?

Merci d'avance pour votre aide smile.

Dernière modification par arnaud09300 (Le 27/08/2018, à 15:39)

Hors ligne

#2 Le 27/08/2018, à 15:21

xubu1957

Re : [Résolu] Systeme de paquets cassé 18.04


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#3 Le 27/08/2018, à 15:38

arnaud09300

Re : [Résolu] Systeme de paquets cassé 18.04

Salut,
ah je n'avais pas vu cette page sûrement à cause de ma peur de l'anglais big_smile

Merci beaucoup, ça à marché le système est réparé et ma carte graphique refonctionne avec le bon driver.
Encore merci smile

Pour les prochains, je copie colle la solution ici :

https://askubuntu.com/questions/1035409 … s-on-18-04
As root, run:

for FILE in $(dpkg-divert --list | grep nvidia-340 | awk '{print $3}'); do dpkg-divert --remove $FILE; done

Then:

apt --fix-broken install

The first command will remove all the diverted packages from nvidia-340. If you have other nvidia version "diverting" change it; read the error code to know which version is diverting.

Hors ligne